library(readxl)
datos<-read_xlsx("F:/uni/DESI/Proyecto final/hdro_statistical_data_table_5.xlsx")
ISO<-read.csv("F:/uni/DESI/Proyecto final/countries_codes_and_coordinates.csv")
datos<-datos[-c((1:7),70,125,163,200,(207:263)),]
datos<-datos[,-c(1,4,6,8,10,12,14,16,18,20)]
colnames(datos)<-c("Pais","GII","Ranking","Mort.Maternal","Nac.Adolescentes","AsientosParlamento","M.Educacion","H.Educacion","M.Pob.Activa","H.Pob.Activa")
for(j in 1:195){
  if(datos$GII[j]==".."){
    datos$GII[j]=""
  }
}
for(j in 1:195){
  if(datos$Ranking[j]==".."){
    datos$Ranking[j]=""
  }
}
for(j in 1:195){
  if(datos$Mort.Maternal[j]==".."){
    datos$Mort.Maternal[j]=""
  }
}
for(j in 1:195){
  if(datos$Nac.Adolescentes[j]==".."){
    datos$Nac.Adolescentes[j]=""
  }
}
for(j in 1:195){
  if(datos$AsientosParlamento[j]==".."){
    datos$AsientosParlamento[j]=""
  }
}
for(j in 1:195){
  if(datos$M.Educacion[j]==".."){
    datos$M.Educacion[j]=""
  }
}
for(j in 1:195){
  if(datos$H.Educacion[j]==".."){
    datos$H.Educacion[j]=""
  }
}
for(j in 1:195){
  if(datos$M.Pob.Activa[j]==".."){
    datos$M.Pob.Activa[j]=""
  }
}
for(j in 1:195){
  if(datos$H.Pob.Activa[j]==".."){
    datos$H.Pob.Activa[j]=""
  }
}

datos$Pais[datos$Pais=="Czechia"]<-"Czech Republic"
datos$Pais[datos$Pais=="Hong Kong, China (SAR)"]<-"Hong Kong"
datos$Pais[datos$Pais=="Korea (Republic of)"]<-"Korea, Republic of"
datos$Pais[datos$Pais=="Korea (Democratic People's Rep. of)"]<-"Korea, Democratic People's Republic of"
datos$Pais[datos$Pais=="Eswatini (Kingdom of)"]<-"Swaziland"
datos$Pais[datos$Pais=="Cabo Verde"]<-"Cape Verde"
datos$Pais[datos$Pais=="Congo (Democratic Republic of the)"]<-"Congo, the Democratic Republic of the"
datos$Pais[datos$Pais=="Iran (Islamic Republic of)"]<-"Iran, Islamic Republic of"
datos$Pais[datos$Pais=="North Macedonia"]<-"Macedonia, the former Yugoslav Republic of"
datos$Pais[datos$Pais=="Venezuela (Bolivarian Republic of)"]<-"Venezuela, Bolivarian Republic of"
datos$Pais[datos$Pais=="Moldova (Republic of)"]<-"Moldova, Republic of"
datos$Pais[datos$Pais=="Bolivia (Plurinational State of)"]<-"Bolivia, Plurinational State of"
datos$Pais[datos$Pais=="Palestine, State of"]<-"Palestinian Territory, Occupied"
datos$Pais[datos$Pais=="Micronesia (Federated States of)"]<-"Micronesia, Federated States of"
datos$Pais[datos$Pais=="Tanzania (United Republic of)"]<-"Tanzania, United Republic of"

datos<-cbind(rep("AAA",195),datos)
colnames(datos)[1]<-"iso_a3"
for(j in 1:256){
  for(i in 1:195){
    if(datos$Pais[i] == ISO$Country[j]){
      datos$iso_a3[i]<-substr(ISO$Alpha.3.code[j],2,4)
    }
  }
}
datos$iso_a3[datos$Pais=="C�te d'Ivoire"]<-"CIV"

write.csv2(datos,"F:/uni/DESI/Proyecto final/DesigualdadGenero.csv",na ="")
